> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cognizo.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List available regions with their ids and country codes



## OpenAPI

````yaml /api-reference/openapi.json get /api/v2/regions
openapi: 3.0.1
info:
  title: Cognizo Public API
  version: v1
  description: >-
    Public REST API for Cognizo. Authenticate with an API key via the
    `X-API-KEY` header.
servers:
  - url: https://core.cognizo.ai
security:
  - apiKey: []
paths:
  /api/v2/regions:
    get:
      tags:
        - Filters
      summary: List available regions with their ids and country codes
      operationId: list_regions
      responses:
        '200':
          description: regions ordered by country name
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                          format: uuid
                        country_code:
                          type: string
                        country_name:
                          type: string
                          nullable: true
                        enabled:
                          type: boolean
                      required:
                        - id
                        - country_code
                        - country_name
                        - enabled
                required:
                  - data
components:
  securitySchemes:
    apiKey:
      type: apiKey
      in: header
      name: X-API-KEY

````